---
title: "Trigger"
source: /gcxone/api/trigger
locale: en
updated: 2026-09-04
---
Operations on trigger resources. 2 endpoints, each relative to `https://api.nxgen.cloud/api/v1` and authenticated as described under [Authentication](/gcxone/api/authentication).

## POST /trigger/

Send Trigger

### Request body

Send Trigger

```json
{
  "siteId": "string",
  "siteName": "string",
  "manafacturer": "string",
  "deviceId": "string",
  "heirarchyName": "string",
  "triggerId": "string",
  "triggerName": "string"
}
```

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | No Content |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |
| 404 | Not Found |  |

## POST /trigger/getTriggers

Get Triggers

### Request body

Get Triggers

```json
{
  "siteId": "string",
  "siteName": "string",
  "manafacturer": "string",
  "deviceId": "string",
  "heirarchyName": "string"
}
```

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | No Content |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |
| 404 | Not Found |  |